Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## cc.mallet.types
Interface Matrix

All Superinterfaces:
  ConstantMatrix

All Known Implementing Classes:
  DenseMatrix, DenseVector, Matrix2, Matrixn, SparseMatrixn

    public interface Matrix

extends ConstantMatrix

Method Summary
`double` | `absNormalize()`
`void` | `divideEquals(double factor)`
`void` | `elementwiseDivideEquals(ConstantMatrix m)`
`void` | `elementwiseDivideEquals(ConstantMatrix m, double factor)`
`void` | `elementwiseTimesEquals(ConstantMatrix m)`
`void` | `elementwiseTimesEquals(ConstantMatrix m, double factor)`
`void` | `equalsPlus(double factor, ConstantMatrix m)`
`void` | `incrementSingleValue(int i, double delta)`
`double` | `infinityNormalize()`
`double` | `oneNormalize()`
`void` | `plusEquals(ConstantMatrix m)`
`void` | `plusEquals(ConstantMatrix m, double factor)`
`void` | `set(ConstantMatrix m)`
`void` | `setAll(double v)`
`void` | `setSingleValue(int i, double value)`
`void` | `setValue(int[] indices, double value)`
`void` | `setValueAtLocation(int loc, double value)`
`void` | `setWithAddend(ConstantMatrix m, double addend)`
`void` | `setWithFactor(ConstantMatrix m, double factor)`
`void` | `timesEquals(double factor)`
`double` | `twoNormalize()`

Methods inherited from interface cc.mallet.types.ConstantMatrix
`absNorm, cloneMatrix, dotProduct, getDimensions, getNumDimensions, indexAtLocation, infinityNorm, isNaN, location, numLocations, oneNorm, print, singleIndex, singleSize, singleToIndices, singleValue, twoNorm, value, valueAtLocation`

Method Detail

### setValue

    void setValue(int[] indices,
                  double value)

### setSingleValue

    void setSingleValue(int i,
                        double value)

### incrementSingleValue

    void incrementSingleValue(int i,
                              double delta)

### setValueAtLocation

    void setValueAtLocation(int loc,
                            double value)

### setAll

    void setAll(double v)

### set

    void set(ConstantMatrix m)

### setWithAddend

    void setWithAddend(ConstantMatrix m,
                       double addend)

### setWithFactor

    void setWithFactor(ConstantMatrix m,
                       double factor)

### plusEquals

    void plusEquals(ConstantMatrix m)

### plusEquals

    void plusEquals(ConstantMatrix m,
                    double factor)

### equalsPlus

    void equalsPlus(double factor,
                    ConstantMatrix m)

### timesEquals

    void timesEquals(double factor)

### elementwiseTimesEquals

    void elementwiseTimesEquals(ConstantMatrix m)

### elementwiseTimesEquals

    void elementwiseTimesEquals(ConstantMatrix m,
                                double factor)

### divideEquals

    void divideEquals(double factor)

### elementwiseDivideEquals

    void elementwiseDivideEquals(ConstantMatrix m)

### elementwiseDivideEquals

    void elementwiseDivideEquals(ConstantMatrix m,
                                 double factor)

### oneNormalize

    double oneNormalize()

### twoNormalize

    double twoNormalize()

### absNormalize

    double absNormalize()

### infinityNormalize

    double infinityNormalize()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD